Signal Foundry
ドキュメント
サポート 戻る
ドキュメントユースケースAPI リファレンスリリースノート

API リファレンス

認証、利用上限、主要 endpoint を実行単位で確認します。

API 概要
OpenAPI Inventory会社検索会社プロフィール会社の観測データ開示一覧開示詳細開示比較観測データ検索ソースAPIリストAPIリスト見積もりリスト候補確認リスト保存リストEnrichmentリストExport調査アイテムクレジット残高クレジット利用サマリーフィードバックAPI外部調査API
API リファレンス

OpenAPI Endpoint Inventory

Signal Foundry API の公開 endpoint、auth、credit、CLI equivalent、OpenAPI 化の準備状態を一覧化します。

このページの内容12項目
契約サマリーリクエストレスポンスTag taxonomyPublic read endpointsList workspace endpointsSource endpointsResearch / feedback endpointsNon-public routesOpenAPI readiness checklist次に読むページ復旧方法

このページは、OpenAPI 化の前に固定する endpoint inventory です。

OpenAPI spec は external integration / SDK generation には有効です。ただし現時点では、CLI JSON contract と docs の recovery path を正本にします。OpenAPI は deferred で、endpoint visibility、auth、credit tag、response schema owner が揃ってから公開 contract にします。

契約サマリー

FieldValue
PurposeOpenAPI 公開前の endpoint inventory
Authproduction は API key 必須
Account scopeAPI key の team workspace scope
Creditendpoint tag と Credit Schedule に従う
CLI equivalentendpoint ごとに対応 command を明記
OpenAPI statusdeferred

リクエスト

この page 自体は API endpoint ではありません。API を直接組み込む前に、該当 endpoint の docs と CLI equivalent を確認します。

最小の read request:

curl -s "$SIGNAL_FOUNDRY_BASE_URL/api/signal-foundry/companies?q=7203" \
  -H "Authorization: Bearer <SIGNAL_FOUNDRY_API_KEY>"

同じ操作を CLI で先に通します。

sf companies search 7203 --json

レスポンス

endpoint ごとの response schema は各 docs page を正本にします。agent はまず次の種類の key を確認します。

{
  "companies": [
    {
      "company": {
        "company_id": "jpx_7203",
        "display_name": "Toyota Motor Corporation"
      },
      "query_match": {
        "identifier_matched": true
      }
    }
  ],
  "meta": {
    "returned_companies": 1
  }
}

OpenAPI 公開前に、success response と error envelope の schema owner を endpoint group ごとに固定します。

Tag taxonomy

TagMeaning
public_readAPI key で読む公開 endpoint。product credit は消費しない
public_preview保存前の preview / estimate。product credit は消費しない
public_write_free保存するが product credit を消費しない
public_write_creditexecute / maxCredits / idempotency が必要な credit-consuming write
advancedpublic docs に載せるが通常は CLI / workflow から使う
non_publicscheduler、delivery、ops worker など。OpenAPI public spec には出さない
deferred方針はあるが v0 public contract ではない

production は API key 必須です。通常 accountId / account_id は送らず、API key の team workspace scope に任せます。

Public read endpoints

MethodPathTagCreditCLI equivalentDocs
GET/api/signal-foundry/companiespublic_read0sf companies search <query> --jsonGET /companies
GET/api/signal-foundry/companies/{companyId}/profilepublic_read0sf company profile <companyId> --jsonProfile
GET/api/signal-foundry/companies/{companyId}/observationspublic_read0sf company observations <companyId> --jsonCompany Observations
GET/api/signal-foundry/companies/{companyId}/filingspublic_read0sf company filings <companyId> --jsonFilings
GET/api/signal-foundry/companies/{companyId}/filings/{filingId}public_read0sf filing show <companyId> <filingId> --jsonFiling Show
GET/api/signal-foundry/companies/{companyId}/filings/{filingId}/comparepublic_read0sf filing compare <companyId> <filingId> --jsonFiling Compare
POST/api/signal-foundry/observations/searchpublic_read0sf observations search "<query>" --jsonObservations Search
GET/api/signal-foundry/credits/balancepublic_read0sf credits balance --jsonCredits Balance
GET/api/signal-foundry/creditspublic_read0sf credits summary --jsonCredits Summary

List workspace endpoints

MethodPathTagCreditCLI equivalentDocs
GET/api/signal-foundry/listspublic_read0sf list ls --jsonLists API
GET/api/signal-foundry/lists/{listId}public_read0sf list show <listId> --jsonLists API
GET/api/signal-foundry/lists/{listId}/previewpublic_read0sf list preview <listId> --jsonLists API
POST/api/signal-foundry/lists/estimatepublic_preview0sf list estimate "<query>" --jsonLists Estimate
GET/api/signal-foundry/lists/candidatespublic_preview0sf list candidates --from-estimate <estimateId> --jsonLists Candidates
POST/api/signal-foundry/lists/materializepublic_write_creditsaved row 分sf list materialize --from-estimate <estimateId> --execute --max-credits <n> --jsonLists Materialize
POST/api/signal-foundry/lists/{listId}/enrichments/estimatepublic_preview0sf list enrich <listId> --source website --estimate --jsonLists Enrichments
POST/api/signal-foundry/lists/{listId}/enrichments/runpublic_write_creditsource ごとsf list enrich <listId> --source website --execute --max-credits <n> --jsonLists Enrichments
GET/api/signal-foundry/lists/{listId}/exportpublic_read0sf list export <listId> --format csv --output ./list.csv --jsonLists Export
POST

public_write_credit は execute: true、maxCredits、Idempotency-Key を要求します。CLI では --execute --max-credits <n> --json を使います。

Source endpoints

MethodPathTagCreditCLI equivalentDocs
POST/api/signal-foundry/sources/importpublic_write_free0sf source import ./companies.csv --jsonSource API
GET/api/signal-foundry/sources/{sourceId}/inspectpublic_read0sf source inspect <sourceId> --jsonSource API
POST/api/signal-foundry/sources/{sourceId}/mappublic_write_free0sf source map <sourceId> --entity company ... --jsonSource API
POST/api/signal-foundry/sources/{sourceId}/resolvepublic_write_creditmatched row 分sf source resolve <sourceId> --execute --max-credits <n> --jsonSource API
GET/api/signal-foundry/sources/{sourceId}/reviewpublic_read0sf source review <sourceId> --status multiple_candidates --jsonSource API
POST/api/signal-foundry/sources/{sourceId}/selectpublic_write_credit新規確定 row ごとに 1sf source select <sourceId> --row <sourceRowId> --company <companyId> --max-credits 1 --jsonSource API

Research / feedback endpoints

MethodPathTagCreditCLI equivalentDocs
GET/api/signal-foundry/research/itemspublic_read0sf research ls --jsonResearch Items
POST/api/signal-foundry/research/itemspublic_write_free0sf research add <companyId> --content-file ./note.md --jsonResearch Items
POST/api/signal-foundry/research/external/estimateadvanced0通常は sf research addExternal Research
POST/api/signal-foundry/research/external/fetchadvancedestimate に応じるsf research add <companyId> --content-file ./note.md --jsonExternal Research
GET/api/signal-foundry/research/externaladvanced0sf research ls --jsonExternal Research
POST/api/signal-foundry/feedbackpublic_write_free0sf feedback create "..." --jsonFeedback API

Non-public routes

次の routes は public OpenAPI spec には入れません。

Route familyReason
/api/signal-foundry/lists/run-due-refreshesscheduler / operations
/api/signal-foundry/lists/run-pending-deliveriesscheduler / delivery worker
/api/signal-foundry/lists/{listId}/deliver / deliverydelivery lifecycle
/api/signal-foundry/lists/{listId}/scheduleapp / scheduler coordination
/api/signal-foundry/lists/{listId}/publish / status / suppressions / workspace-preferencesapp control plane
/api/signal-foundry/lists/{listId}/diff-rows/{diffRowId}/review / exclusionapp review state
/api/signal-foundry/job-artifactsjob artifact storage; CLI docs are the current contract
/api/signal-foundry/usage/*app usage summary; customer-facing route is API key settings / credits docs
/api/signal-foundry/discovery/runs/{runId}discovery recovery route; CLI workflow remains the public entry

non_public は、外部 integration contract として support しない route です。公開 docs では CLI / workflow / API overview から辿れる route を正本にします。

OpenAPI readiness checklist

AreaRequired state before public spec
Endpoint visibilitypublic_read / public_preview / public_write_free / public_write_credit / advanced / non_public が固定されている
Request schemaquery / params / body schema が export 可能
Response schemasuccess response と error envelope の owner が決まっている
Auth tagAPI key required / ops worker / scheduler が route ごとに固定されている
Credit tagfree / preview / basic credit / enrichment credit / conditional が route ごとに固定されている
CLI equivalentagent が最初に使う command が endpoint と対応している
Recoveryerror code と次 command が docs にある

次に読むページ

  • API overview: API リファレンス
  • data provenance: Data Provenance
  • credit contract: Credit Schedule
  • direct API auth: API Key Authentication

復旧方法

Error次に見る page / command復旧
invalid_api_keysf auth show --jsonAPI key を再発行し、CLI 設定を更新する
account_scope_conflictAccount Scoperequest 側の account 指定を外し、API key の team workspace scope に任せる
max_credits_requiredCredit Scheduleexecute / maxCredits または --execute --max-credits <n> を付ける
unsupported / weak / needs_humansf data capabilities --jsonsilent 0 件にせず、人間へ coverage gap を返す

このページの内容

契約サマリーリクエストレスポンスTag taxonomyPublic read endpointsList workspace endpointsSource endpointsResearch / feedback endpointsNon-public routesOpenAPI readiness checklist次に読むページ復旧方法
/api/signal-foundry/lists/{listId}/refresh
advanced
0 または paid source 分
sf list refresh <listId> --json
Lists API
GET/api/signal-foundry/lists/{listId}/diffs/latestadvanced0CLI surface は limitedLists API